#
# spec file for package xgl (Version cvs_060522)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel fonts-config freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc41 libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtiff libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl orbit2 orbit2-devel pam pam-modules pango patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-core xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-server xorg-x11-server-sdk xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xgl
BuildRequires:  freeglut-devel freetype2-devel gcc-c++ gconf2-devel libdrm-devel libpng-devel xorg-x11-proto-devel
%ifnarch s390 s390x
BuildRequires:  xorg-x11-sdk
%endif
Url:             http://www.freedesktop.org/Software/Xgl
License:        X11/MIT
Group:          System/X11/Servers/XF86_4
Provides:       Xgl
Obsoletes:      Xglx xglx
PreReq:         %fillup_prereq
Requires:       xgl-hardware-list
AutoReqProv:    on
Version:        cvs_060522
Release:        45
Summary:        Xserver that uses OpenGL for its drawing operations.
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc ppc64 ia64
Source:         xorg-server-1.1.99.1.tar.bz2 
Source1:        glitz-0.5.6.tar.gz
Source2:        README.SUSE
Source3:        sysconfig.displaymanager.template
Source4:        Mesa-CVS-20060512.tar.bz2 
### /bin/ls *.{diff,patch} 2>/dev/null | perl -ne 'print "Patch$n: ".$_; $n++;'
Patch:          Xserver-suse-sysconfig.diff
Patch1:         xgl-security-file-dir.diff
Patch2:         xgl-xpstubs-link-hack.diff
Patch3:         xgl-maprules-tolower-fix.diff
Patch4:         178214.diff
Patch5:         178234-2.diff
Patch6:         xgl-java-wmhack.diff
Patch7:         xgl-overflow-fix.diff
Patch8:         xgl-yuy2.diff
Patch9:         xgl-xkb.diff
Patch10:        glitz-glx-get-proc-address.diff
Patch11:        bug343248-CVE-2007-5958.diff
Patch12:        bug-345127_IDEF2888_le_xserver1.3.patch
Patch13:        bug345128-IDEF2901.diff
Patch14:        bug345128-IDEF2901.diff
Patch15:        bug345130-IDEF2902.diff
Patch16:        bug345131-IDEF2904.diff
Patch17:        bug348296-pcf_font_parser.diff
Patch18:        bug-243978_xcmisc.diff
Patch19:        bnc-345496.patch
Patch20:        bug345130-IDEF2902.diff
Patch21:        bug345131-IDEF2904.diff
Patch22:        bfo-bug15222.diff
Patch23:        commit-a6a7fad.diff
Patch24:        render-limits.patch
Patch25:        bug-332447_xgl-randr-update-sled-1.diff
Patch26:        bug-332447_xgl-resize-damage-pixmap-surfaces.diff

%description
Xgl is an Xserver that uses OpenGL for its drawing operations. Some
operations like antialiased font rendering is noticably faster with
this technology, and future graphics hardware might only have support
for 3D operations and no 2D core any more.

Note that this is highly experimental code, it has been tested only on
few hardware platforms, and depending on driver state it may even crash
your computer.



Authors:
--------
        Xgl is created mainly by David Reveman (Novell), with some additions
        from Dave Arlie, Matthias Hopf (SUSE), and Adam Jackson (NWNK).
        It uses the glitz API as an abstraction layer, which has been designed
        and implemented by David Reveman and Peter Nilsson (UMU).
        
        The X11 sample server, from which this code base derives, was
        originally designed by Phil Karlton and Susan Angebrandt of Digital,
        and Bob Scheifler (MIT).
        
        The KDrive DDX was derived from the X11 sample server, and was largely
        written by Keith Packard. Anders Carlsson and Jaymz Julian made
        significant contributions.
        
        Numerous others have contributed to the X11 project.

%if "%(xft-config --prefix)" == "/usr"
%define _xglprefix /usr
%define _default_font_path /usr/share/fonts/misc,/usr/share/fonts/truetype,/usr/share/fonts/Type1,/usr/share/fonts/100dpi,/usr/share/fonts/75dpi
%define _rgb_path /usr/share/X11/rgb
%define _xkb_path /usr/share/X11/xkb
%define _xkb_output /var/lib/xkb/compiled/
%else 
%define _xglprefix /usr/X11R6
%define _default_font_path /usr/X11R6/lib/X11/fonts/misc,/usr/X11R6/lib/X11/fonts/truetype,/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/100dpi,/usr/X11R6/lib/X11/fonts/75dpi
%define _rgb_path /usr/X11R6/lib/X11/rgb
%define _xkb_path /etc/X11/xkb
%define _xkb_output /etc/X11/xkb/compiled
%endif
%debug_package

%prep
rm -rf $RPM_BUILD_DIR/*
%setup -q -n . -D -T -b 0 -b 1 -b 4
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/Xserver-suse-sysconfig.diff  || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-security-file-dir.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-xpstubs-link-hack.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-maprules-tolower-fix.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/178214.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/178234-2.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-java-wmhack.diff  || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-overflow-fix.diff  || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-yuy2.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/xgl-xkb.diff || exit 1
patch -d glitz-* -p0 < $RPM_SOURCE_DIR/glitz-glx-get-proc-address.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug343248-CVE-2007-5958.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug-345127_IDEF2888_le_xserver1.3.patch || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug345128-IDEF2901.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug345130-IDEF2902.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug345131-IDEF2904.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/bug348296-pcf_font_parser.diff || exit 1
patch -d xorg-* -p0 < $RPM_SOURCE_DIR/bug-243978_xcmisc.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bfo-bug15222.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/commit-a6a7fad.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/render-limits.patch || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug-332447_xgl-randr-update-sled-1.diff || exit 1
patch -d xorg-* -p1 < $RPM_SOURCE_DIR/bug-332447_xgl-resize-damage-pixmap-surfaces.diff || exit 1
pushd xorg-*
%patch19 -p1
popd

%build
PREFIX=$RPM_BUILD_ROOT/%{_xglprefix}/lib/xgl
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_xglprefix}/
mkdir -p $PREFIX
PKG_CONFIG_ORIG=$PKG_CONFIG_PATH
# Build inside own development system
export PKG_CONFIG_PATH=$PREFIX/%_lib/pkgconfig:$PKG_CONFIG_PATH
pushd glitz-*
# Hack: build a convenience library instead of a static library (linked to a .so file afterwards)
# Should be removed as soon as the glitz package is updated
CFLAGS="-fPIC $RPM_OPT_FLAGS" ./configure --prefix=$PREFIX --libdir=$PREFIX/%_lib --disable-shared
CFLAGS="-fPIC $RPM_OPT_FLAGS" make install
popd
pushd xorg-server-*
./configure --prefix=%{_xglprefix} --libdir=%{_xglprefix}/%_lib --enable-xgl --disable-xorg --disable-xprint --enable-glx --enable-dri --with-mesa-source=$RPM_BUILD_DIR/Mesa --with-release-snap=1 --disable-dmx --disable-xvfb --disable-xnest --enable-xglx --with-default-font-path=%{_default_font_path} --sysconfdir=/etc/X11 --localstatedir=/var --with-rgb-path=%{_rgb_path} --with-xkb-path=%{_xkb_path} --with-xkb-output=%{_xkb_output} --disable-aiglx
make %{?jobs:-j %jobs}
popd

%install
PREFIX=$RPM_BUILD_ROOT/%{_xglprefix}/lib/xgl
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates $RPM_BUILD_ROOT/etc/X11/
pushd xorg-server-*
make DESTDIR=$RPM_BUILD_ROOT install
popd
cp $RPM_SOURCE_DIR/README.* .
cp $RPM_SOURCE_DIR/sysconfig.displaymanager.template $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.displaymanager-%name
rm -rf $PREFIX
find $RPM_BUILD_ROOT \( -name \*.a -o -name \*.la \) -print -execdir rm \{\} +
rm $RPM_BUILD_ROOT/%{_xglprefix}/%_lib/pkgconfig/xorg-server.pc
rm -rf $RPM_BUILD_ROOT/usr/%_lib/pkgconfig $RPM_BUILD_ROOT/usr/include
rm $RPM_BUILD_ROOT/%{_xglprefix}/man/man1/Xserver.1x
rm $RPM_BUILD_ROOT/%{_xglprefix}/share/aclocal/xorg-server.m4
rm $RPM_BUILD_ROOT/etc/X11/xserver/SecurityPolicy
rm $RPM_BUILD_ROOT/%{_xkb_output}/README.compiled

%post
%{fillup_only -an displaymanager}

%files
%defattr(-, root, root)
%doc README.*
%{_xglprefix}/bin/Xgl
%dir %{_xglprefix}/%_lib/xorg
%dir %{_xglprefix}/%_lib/xorg/modules
%dir %{_xglprefix}/%_lib/xorg/modules/xgl
%{_xglprefix}/%_lib/xorg/modules/xgl/lib*
/var/adm/fillup-templates/sysconfig.displaymanager-%name

%changelog
* Wed Aug 13 2008 - mauro@suse.de
- Fix for the windows decoration redraw.
  + bug-332447_xgl-randr-update-sled-1.diff (bnc#332447)
  + bug-332447_xgl-resize-damage-pixmap-surfaces.diff (bnc#332447)
* Fri Jul 11 2008 - mauro@suse.de
- bfo-bug15222.diff (bfo#15222, bnc#387544)
  * CVE-2008-2360 - RENDER Extension heap buffer overflow
  * CVE-2008-2361 - RENDER Extension crash
  * CVE-2008-2362 - RENDER Extension memory corruption
  * CVE-2008-1379 - MIT-SHM arbitrary memory read
  * CVE-2008-1377 - RECORD and Security extensions memory corruption
- commit-a6a7fad.diff
  * Don't break grab and focus state for a window when redirecting
  it. (bnc #336219, bfo #488264)
- updated patch for CVE-2007-6429 once more (X.Org Bug #13520)
  * Always test for size+offset wrapping.
- updated patch for CVE-2007-6429 (bnc#345131)
  * Don't spuriously reject <8bpp shm pixmaps.
  Move size validation after depth validation, and only validate
  size if the bpp of the pixmap format is > 8.  If bpp < 8 then
  we're already protected from overflow by the width and height
  checks.
- updated bug345130-IDEF2902.diff (bnc#345130)
- added render-limits.patch to fix an issue with the limits in render.c
* Wed Mar 12 2008 - mauro@suse.de
- Added bnc-345496.patch to fix bnc-345496 (X Server XFree86-MISC
  Extension Invalid Array Index Vulnerability)
* Fri Mar 07 2008 - mauro@suse.de 
- Fix bnc-356596. Added:
  + bug-243978_xcmisc.diff
  + bug343248-CVE-2007-5958.diff
  + bug-345127_IDEF2888_le_xserver1.3.patch
  + bug345128-IDEF2901.diff
  + bug345130-IDEF2902.diff
  + bug345131-IDEF2904.diff
  + bug348296-pcf_font_parser.diff
* Tue Nov 21 2006 - mhopf@suse.de
- Updated README.SUSE to reflect current state.
* Thu Nov 16 2006 - mhopf@suse.de
- Fix missing prototype for glXGetProcAddressARB.
  This was in the gl.h header once, but isn't any longer...
* Thu Nov 16 2006 - dreveman@suse.de
- Add glXGetProcAddressARB workaround to glitz so that
  GLX_MESA_copy_sub_buffer is detected properly. #219114
* Wed Oct 18 2006 - dreveman@suse.de
- Update for modular X.
* Wed Aug 23 2006 - dmueller@suse.de
- SuSEconfig.xdm is gone
* Sat Aug 05 2006 - sndirsch@suse.de
- fixed font/xkb/rgb path for X.Org 7
* Wed Aug 02 2006 - danw@suse.de
- Revert incorrect changes to xorg HEAD xkb code that break the
  keyboard layout viewer. #179433 / bugs.freedesktop.org #7137
* Thu Jun 15 2006 - dmueller@suse.de
- build parallel
* Fri Jun 02 2006 - dreveman@suse.de
- Fix integer overflow in xglfill.c (bnc #151836)
- Add workaround to get java apps working. (bnc #151836)
- Add some basic YUY2 conversion code. (bnc #180807)
- Compute stride for other formats than YV12 correctly.
  (bnc #180807)
* Tue May 30 2006 - dreveman@suse.de
- Fix typo in xglFillSegment. (bnc #178234)
* Fri May 26 2006 - dreveman@suse.de
- Adjust for capStyle correctly in xglFillSegment. (bnc #178234)
- Add info logging. (bnc #178214)
* Mon May 22 2006 - dreveman@suse.de
- Fix pbuffer resize issue that caused the server to crash when
  using fglrx driver. (bnc #175637)
* Fri May 19 2006 - dreveman@suse.de
- Disable YUY2 format for XVideo as it's not accelerated and the
  software fallback got issues.
* Wed May 17 2006 - dreveman@suse.de
- exa.h randrstr.h are no longer installed by mistake.
* Wed May 17 2006 - dreveman@suse.de
- Fix a crash in the Sync extension.
* Fri May 12 2006 - dreveman@suse.de
- Fix issue with gradients that could crash the server.
- Fix so that XVideo works when dimensions are not multiple of 8.
- Fix GLX drawable destruction. (bnc 174253)
- Update to new version of Mesa. Old version had a vertex array bug
  that could cause the server to crash.
* Mon May 08 2006 - dreveman@suse.de
- Turn off automatic indicator changes on Xorg server. (bnc 165392)
* Wed May 03 2006 - dreveman@suse.de
- Update to final enums for GLX_EXT_texture_from_pixmap.
* Sun Apr 30 2006 - dreveman@suse.de
- Fix so events are correctly delivered when warping the pointer.
* Mon Apr 24 2006 - jpr@suse.de
- Do not package the white list here, that way we don't need to update
  all of xgl when a new card comes out.
* Wed Apr 19 2006 - dreveman@suse.de
- Fix YUV conversion issue.
- Fix support for running mutiple servers.
* Fri Apr 14 2006 - dreveman@suse.de
- Optimize same cases of texture loading. Makes some applications
  more resposive.
- Fix destruction of GLX buffers, which caused some GL apps to
  crash the server.
- Fix convolution filters.
- Add fast YUV conversion code and decent scaling code.
* Fri Apr 07 2006 - dreveman@suse.de
- Fix DPMS issue that caused server to hang.
* Thu Apr 06 2006 - dreveman@suse.de
- Add xgl-maprules-tolower-fix.diff to fix 64bit issue in xkb
  code.
- Fix PREFIX for glitz and proto packages.
- Remove some lines that were left from using compat70 tarboll.
* Wed Apr 05 2006 - ro@suse.de
- do not build as root
* Wed Apr 05 2006 - dreveman@suse.de
- Remove compat71 and add packages instead.
- DPMS support.
- Fix acceleration and threshold control for pointer devices.
* Mon Apr 03 2006 - dreveman@suse.de
- Update to CVS version of Xgl (2006-04-03).
- Remove libglx -> libglxext patch (included with CVS version).
- Remove XKB patch (included with CVS version).
- Remove starvation patch (included with CVS version).
- Remove GLX patch (included with CVS version).
- Include compat71.tar.bz2 as headers not part of compat70 are
  required by Xgl.
- New version glitz, with copy-sub-buffer support.
- New version Mesa, with copy-sub-buffer support.
- Fixed support for GL_ARB_vertex_program, GL_ARB_fragment_program
  and GL_EXT_framebuffer_object.
- Workaround for dead-lock when using fglrx driver.
- Add xgl-xpstubs-link-hack.diff patch to avoid a small linking
  issue.
* Tue Mar 28 2006 - mhopf@suse.de
- Fix for #159733 from David: libglx -> libglxext.
* Wed Mar 22 2006 - mhopf@suse.de
- Fix from CVS for #152401, #154663: Fixed XKB support.
- Fixed location of SecurityPolicy.
* Mon Mar 20 2006 - mhopf@suse.de
- Workaround for #74012: Xgl and process starvation on NVidia drivers.
* Wed Mar 15 2006 - mhopf@suse.de
- Add fix from CVS for bug #158191:
  Xgl fails/crashes when opening an OpenGL window w/o acceleration
- Cleanup of spec file.
- Implemented missing separation of make and install.
* Mon Mar 13 2006 - jpr@suse.de
- Add white list of cards
* Mon Mar 13 2006 - mhopf@suse.de
- Together with Mesa update fixes most of bug #157051
- Xgl update to CVS 2006-03-13:
  - Fix for TEXTURE_RECTANGLE (e.g. i915).
  - GL_ARB_vertex_program and GL_ARB_fragment_program support.
  - Remove renderbuffer from context.
  - New automatically generated code that includes GenProgramsNV fix.
  - Add GetProgramStringARB implementation.
* Fri Mar 10 2006 - mhopf@suse.de
- Xgl and Mesa update to CVS 2006-03-10:
  - Make sure that all preceding drawing commands are finished before
  switching context
  - Build against mesa head
  - Update to new GLX interface
  - #155686: Set screen dpi correctly
  - Make context current before we delete all gl objects
  - Fix glx screen wrapping
- Build system cleanup, now using xorg-x11-compat70-devel
* Thu Feb 23 2006 - dreveman@suse.de
- Update to glitz 0.5.4 with mipmap filter support.
- New server snapshot with indirect FBO support which can be used
  to generate mipmaps for redirected windows.
* Thu Feb 16 2006 - mhopf@suse.de
- glitz using RPM_OPT_FLAGS now (debuginfo).
* Thu Feb 16 2006 - dreveman@suse.de
- Update to glitz 0.5.3 with two important pixel transfer fixes
  and support for texture objects without requiring
  GL_ARB_texture_rectangle and GL_ARB_texture_border_clamp.
* Tue Feb 14 2006 - dreveman@suse.de
- New glitz snapshot. fglrx pbuffer patch not required with glitz
  CVS anymore.
- New xorg snapshot. Define HAVE_DIX_CONFIG_H when building mesa
  sources. Set rgb and font path correctly when running configure
  script.
- New mesa snapshot. Include dix-config.h in glheader.h so that
  mesa sources are built with 32bit XIDs as the rest of the server.
* Mon Feb 13 2006 - dreveman@suse.de
- New CVS snapshots of glitz and xorg.
- Use mesa CVS.
* Wed Feb 08 2006 - ro@suse.de
- add /usr/X11R6/lib/xorg to filelist
* Wed Feb 08 2006 - dreveman@suse.de
- Moved to Xorg tree.
- Use glitz CVS.
- Use Mesa 6.4.2.
* Mon Jan 30 2006 - mhopf@suse.de
- Workaround in compat70.tar.bz2 for obviously nontrivial font bug
- Fixed legal issues in some code files
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - mhopf@suse.de
- Fixed link process for non-i386
- Updated compatibility files for building on Xorg <7.0
- Cleanup
* Wed Jan 11 2006 - mhopf@suse.de
- Building and linking glitz statically only.
- Update to svn_104.
* Mon Dec 19 2005 - dreveman@suse.de
- Update to svn_95
* Thu Dec 15 2005 - dreveman@suse.de
- Update to svn_91.
- Removed glxcompmgr.
* Tue Nov 29 2005 - mhopf@suse.de
- Major update: Build process using Xorg 6.9 instead of internal
  kdrive.  Packages build with this process will work on pre-6.9
  only if libXau.so.6 and libXdmcp.so.6 are available.
- Contains several fixes for Xorg 6.9 build process that should be
  included into the Xorg base packages.
- Enabled Xevie support.
- Update to svn_83.
* Wed Nov 23 2005 - mhopf@suse.de
- Disabled Xevie support. glxcompmgr now at svn_77.
* Fri Nov 11 2005 - mhopf@suse.de
- Update to svn_77;
  Xevie from kdrive not supported, thus disabled.
  glxcompmgr is svn_59
* Mon Nov 07 2005 - sndirsch@suse.de
- make use of x-devel-packages and mesa-devel-packages macros in
  neededforbuild
* Tue Oct 25 2005 - mhopf@suse.de
- Builds on all architectures except s390
- Major update
- Bug fixes
- No Xglx-wrapper any more (embedded in Xgl)
- Updated documentation
* Tue Oct 18 2005 - mhopf@suse.de
- Making build 64bit clean
* Mon Oct 10 2005 - mhopf@suse.de
- Major update
- Based on SVN version now
* Fri Aug 26 2005 - mhopf@suse.de
- New version of former xglx package
